<html>
<head>
<title>Ogre::SubMesh Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SubMesh.html">SubMesh</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::SubMesh Class Reference<div class="ingroups"><a class="el" href="group__Resources.html">Resources</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::SubMesh" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Defines a part of a complete mesh.  
 <a href="classOgre_1_1SubMesh.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::SubMesh:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1SubMesh__inherit__graph.gif" border="0" usemap="#Ogre_1_1SubMesh_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1SubMesh_inherit__map" id="Ogre_1_1SubMesh_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="8,5,115,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1SubMesh-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; unsigned short &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a5318d83d57e4d1599fecb00506c82996">IndexMap</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Dedicated index map for translate blend index to bone index (only valid if useSharedVertices = false).  <a href="#a5318d83d57e4d1599fecb00506c82996"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1IndexData.html">IndexData</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a39b2b1b7c00817f3c7e724ef664fb1a2">LODFaceList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1multimap.html">multimap</a>&lt; size_t, <br class="typebreak"/>
<a class="el" href="group__Animation.html#gaf7318ddaeea193a759de6349554ec3a4">VertexBoneAssignment</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a8970e5c8b6f9fac51d54845e8417e7b2">VertexBoneAssignmentList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Multimap of verex bone assignments (orders by vertex index)  <a href="#a8970e5c8b6f9fac51d54845e8417e7b2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1SubMesh.html#a8970e5c8b6f9fac51d54845e8417e7b2">VertexBoneAssignmentList</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a9c23baff85d3b4f60e37f2a514be1ada">BoneAssignmentIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1ConstMapIterator.html">ConstMapIterator</a><br class="typebreak"/>
&lt; <a class="el" href="group__General.html#ga20898062bd79359acd1137276d9b0e37">AliasTextureNamePairList</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a243e656daab531eea35d8b9fb5dc3b11">AliasTextureIterator</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#aa5e04097716119c5cfed229c8425fc60">SubMesh</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#ad0a51b024271c2042968e9e967dd39e8">~SubMesh</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a8ad6c0cae3c325cd8953ab66bd97e72d">setMaterialName</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;matName, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName=<a class="el" href="classOgre_1_1ResourceGroupManager.html#a70da3137e703c147b98fbfbbebfbf023">ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the name of the <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> which this <a class="el" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a> will use.  <a href="#a8ad6c0cae3c325cd8953ab66bd97e72d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#ae9cd0e5fef6d82aba5d5c0bcbcfc65a5">getMaterialName</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#ae4d357805749a3193b821a1ff9bca7d1">isMatInitialised</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if a material has been assigned to the submesh, otherwise returns false.  <a href="#ae4d357805749a3193b821a1ff9bca7d1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a4770787312a616e8735c5d1a864bb1cb">_getRenderOperation</a> (<a class="el" href="classOgre_1_1RenderOperation.html">RenderOperation</a> &amp;rend, <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> lodIndex=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a <a class="el" href="classOgre_1_1RenderOperation.html" title="&#39;New&#39; rendering operation using vertex buffers.">RenderOperation</a> structure required to render this mesh.  <a href="#a4770787312a616e8735c5d1a864bb1cb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#abdd303710ef1131801f5017ef2eda1f2">addBoneAssignment</a> (const <a class="el" href="group__Animation.html#gaf7318ddaeea193a759de6349554ec3a4">VertexBoneAssignment</a> &amp;vertBoneAssign)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Assigns a vertex to a bone with a given weight, for skeletal animation.  <a href="#abdd303710ef1131801f5017ef2eda1f2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a2c29dd4601e67d3f6d26d7d74c017995">clearBoneAssignments</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes all bone assignments for this mesh.  <a href="#a2c29dd4601e67d3f6d26d7d74c017995"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SubMesh.html#a9c23baff85d3b4f60e37f2a514be1ada">BoneAssignmentIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#ab37844a411ccea1cf06d1c95e10b71e2">getBoneAssignmentIterator</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets an iterator for access all bone assignments.  <a href="#ab37844a411ccea1cf06d1c95e10b71e2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1SubMesh.html#a8970e5c8b6f9fac51d54845e8417e7b2">VertexBoneAssignmentList</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a03901f7c72762aa3794af16b88c3e196">getBoneAssignments</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets a const reference to the list of bone assignments.  <a href="#a03901f7c72762aa3794af16b88c3e196"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#acd127d162c4271ac6b844161e1ea777a">_compileBoneAssignments</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Must be called once to compile bone assignments into geometry buffer.  <a href="#acd127d162c4271ac6b844161e1ea777a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SubMesh.html#a243e656daab531eea35d8b9fb5dc3b11">AliasTextureIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#abafc1dfc5283643f0b5867392f512e3e">getAliasTextureIterator</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets an constant iterator to access all texture alias names assigned to this submesh.  <a href="#abafc1dfc5283643f0b5867392f512e3e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#abe04d5342331ad434e47ca9b934a7622">addTextureAlias</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;aliasName, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;textureName)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds the alias or replaces an existing one and associates the texture name to it.  <a href="#abe04d5342331ad434e47ca9b934a7622"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a9007b549c95c6fb1402818bf55b65b16">removeTextureAlias</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;aliasName)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a specific texture alias name from the sub mesh.  <a href="#a9007b549c95c6fb1402818bf55b65b16"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a8446f2b030ecd536933c0a39cdb3d61a">removeAllTextureAliases</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">removes all texture aliases from the sub mesh  <a href="#a8446f2b030ecd536933c0a39cdb3d61a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a776598acc2a9c0d04d9019cd4137d905">hasTextureAliases</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">returns true if the sub mesh has texture aliases  <a href="#a776598acc2a9c0d04d9019cd4137d905"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#ab80c14813793491559cf24c60f455fd4">getTextureAliasCount</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the number of texture aliases assigned to the sub mesh.  <a href="#ab80c14813793491559cf24c60f455fd4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a2107e531c7161b312571d8977f9539e2">updateMaterialUsingTextureAliases</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The current material used by the submesh is copied into a new material and the submesh's texture aliases are applied if the current texture alias names match those found in the original material.  <a href="#a2107e531c7161b312571d8977f9539e2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Animation.html#ga9046e6e0d12c46c57a9056987e9d158e">VertexAnimationType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a116ae10a9b88b55c44c0583589b15b72">getVertexAnimationType</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the type of any vertex animation used by dedicated geometry.  <a href="#a116ae10a9b88b55c44c0583589b15b72"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a869de8ed370ae9ac77e7e600aa109514">getVertexAnimationIncludesNormals</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether animation on dedicated vertex data includes normals.  <a href="#a869de8ed370ae9ac77e7e600aa109514"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#af32a20ce7dd6ca470ce7e33e5dc7d7d9">generateExtremes</a> (size_t count)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Generate the submesh extremes (.  <a href="#af32a20ce7dd6ca470ce7e33e5dc7d7d9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a2c42d72d5ca9879b2528b7d40a13bf8d">isBuildEdgesEnabled</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true(by default) if the submesh should be included in the mesh EdgeList, otherwise returns false.  <a href="#a2c42d72d5ca9879b2528b7d40a13bf8d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#acc667dc8cf61d4fa25f005fd5cb9082a">setBuildEdgesEnabled</a> (bool b)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a931e3764e3bf1c3ef7431fc852770fb1">useSharedVertices</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates if this submesh shares vertex data with other meshes or whether it has it's own vertices.  <a href="#a931e3764e3bf1c3ef7431fc852770fb1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10d">RenderOperation::OperationType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a10ed3ef8bb24a001bb89dc9e3cd88c31">operationType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The render operation type used to render this submesh.  <a href="#a10ed3ef8bb24a001bb89dc9e3cd88c31"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1VertexData.html">VertexData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a1862a3ec9a3f2ed4ade8af69b41a809d">vertexData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Dedicated vertex data (only valid if useSharedVertices = false).  <a href="#a1862a3ec9a3f2ed4ade8af69b41a809d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1IndexData.html">IndexData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#aad428fa6595c7fb01ef7543e5d8d6454">indexData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Face index data.  <a href="#aad428fa6595c7fb01ef7543e5d8d6454"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SubMesh.html#a5318d83d57e4d1599fecb00506c82996">IndexMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#ae6b4c1d0724fe6a9a961b73bd646d3cf">blendIndexToBoneIndexMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SubMesh.html#a39b2b1b7c00817f3c7e724ef664fb1a2">LODFaceList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a821d2587eb2dc9746a2b1a5c0deada32">mLodFaceList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a3f918cb8640e541175589089ce096aef">extremityPoints</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A list of extreme points on the submesh (optional).  <a href="#a3f918cb8640e541175589089ce096aef"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#ac2b9fd25eb56625716d9e8915f4e0e7d">parent</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reference to parent <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> (not a smart pointer so child does not keep parent alive).  <a href="#ac2b9fd25eb56625716d9e8915f4e0e7d"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a2cf7a582517c07f7330235d3029a2cf8">removeLodLevels</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method for removing LOD data.  <a href="#a2cf7a582517c07f7330235d3029a2cf8"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#ac9cc28e9a11b69a815fa9b3e52cd76f7">mMaterialName</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the material this <a class="el" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a> uses.  <a href="#ac9cc28e9a11b69a815fa9b3e52cd76f7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a25a7ea86e4beaadd868dacb760330e52">mMatInitialised</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Is there a material yet?  <a href="#a25a7ea86e4beaadd868dacb760330e52"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga20898062bd79359acd1137276d9b0e37">AliasTextureNamePairList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#ab1f26bc16b9c1ea567ffcc4548e6466a">mTextureAliases</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">paired list of texture aliases and texture names  <a href="#ab1f26bc16b9c1ea567ffcc4548e6466a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SubMesh.html#a8970e5c8b6f9fac51d54845e8417e7b2">VertexBoneAssignmentList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a1e190c3084110b7fa74a208f9c1f29f1">mBoneAssignments</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a97ac0719e0d2a1cd4f0ed4ec48a72912">mBoneAssignmentsOutOfDate</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag indicating that bone assignments need to be recompiled.  <a href="#a97ac0719e0d2a1cd4f0ed4ec48a72912"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Animation.html#ga9046e6e0d12c46c57a9056987e9d158e">VertexAnimationType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a7b6ef63e9dd8945accbc942307c8fcea">mVertexAnimationType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Type of vertex animation for dedicated vertex data (populated by <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>)  <a href="#a7b6ef63e9dd8945accbc942307c8fcea"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a0c6daf9febdc307b03e788c4bdbd786f">mVertexAnimationIncludesNormals</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether normals are included in vertex animation keyframes.  <a href="#a0c6daf9febdc307b03e788c4bdbd786f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a6eeebb3445a88e6cc77e22f41322964e">mBuildEdgesEnabled</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Is Build Edges Enabled.  <a href="#a6eeebb3445a88e6cc77e22f41322964e"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#aa41a130f156b145bffb3f4b5172c4c93">Mesh</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#a48305c54a01e0c7a3376ea0a077c467f">MeshSerializerImpl</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#ae60e96165c5d5495195fa0d49f031372">MeshSerializerImpl_v1_2</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SubMesh.html#aef9901d67ded13a151aa3d4fde3a7b17">MeshSerializerImpl_v1_1</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Defines a part of a complete mesh. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Meshes which make up the definition of a discrete 3D object are made up of potentially multiple parts. This is because different parts of the mesh may use different materials or use different vertex formats, such that a rendering state change is required between them. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Like the <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> class, instantiations of 3D objects in the scene share the <a class="el" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a> instances, and have the option of overriding their material differences on a per-object basis if required. See the <a class="el" href="classOgre_1_1SubEntity.html" title="Utility class which defines the sub-parts of an Entity.">SubEntity</a> class for more information. </dd></dl>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00061">61</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a243e656daab531eea35d8b9fb5dc3b11"></a><!-- doxytag: member="Ogre::SubMesh::AliasTextureIterator" ref="a243e656daab531eea35d8b9fb5dc3b11" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1ConstMapIterator.html">ConstMapIterator</a>&lt;<a class="el" href="group__General.html#ga20898062bd79359acd1137276d9b0e37">AliasTextureNamePairList</a>&gt; <a class="el" href="classOgre_1_1SubMesh.html#a243e656daab531eea35d8b9fb5dc3b11">Ogre::SubMesh::AliasTextureIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00194">194</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9c23baff85d3b4f60e37f2a514be1ada"></a><!-- doxytag: member="Ogre::SubMesh::BoneAssignmentIterator" ref="a9c23baff85d3b4f60e37f2a514be1ada" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1SubMesh.html#a8970e5c8b6f9fac51d54845e8417e7b2">VertexBoneAssignmentList</a>&gt; <a class="el" href="classOgre_1_1SubMesh.html#a9c23baff85d3b4f60e37f2a514be1ada">Ogre::SubMesh::BoneAssignmentIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00178">178</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5318d83d57e4d1599fecb00506c82996"></a><!-- doxytag: member="Ogre::SubMesh::IndexMap" ref="a5318d83d57e4d1599fecb00506c82996" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;unsigned short&gt;::type <a class="el" href="classOgre_1_1SubMesh.html#a5318d83d57e4d1599fecb00506c82996">Ogre::SubMesh::IndexMap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Dedicated index map for translate blend index to bone index (only valid if useSharedVertices = false). </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This data is completely owned by this submesh. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>We collect actually used bones of all bone assignments, and build the blend index in 'packed' form, then the range of the blend index in vertex data VES_BLEND_INDICES element is continuous, with no gaps. Thus, by minimising the world matrix array constants passing to GPU, we can support more bones for a mesh when hardware skinning is used. The hardware skinning support limit is applied to each set of vertex data in the mesh, in other words, the hardware skinning support limit is applied only to the actually used bones of each SubMeshes, not all bones across the entire <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Because the blend index is different to the bone index, therefore, we use the index map to translate the blend index to bone index. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>The use of shared or non-shared index map is determined when model data is converted to the OGRE .mesh format. </dd></dl>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00109">109</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a39b2b1b7c00817f3c7e724ef664fb1a2"></a><!-- doxytag: member="Ogre::SubMesh::LODFaceList" ref="a39b2b1b7c00817f3c7e724ef664fb1a2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1IndexData.html">IndexData</a>*&gt;::type <a class="el" href="classOgre_1_1SubMesh.html#a39b2b1b7c00817f3c7e724ef664fb1a2">Ogre::SubMesh::LODFaceList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00112">112</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8970e5c8b6f9fac51d54845e8417e7b2"></a><!-- doxytag: member="Ogre::SubMesh::VertexBoneAssignmentList" ref="a8970e5c8b6f9fac51d54845e8417e7b2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1multimap.html">multimap</a>&lt;size_t, <a class="el" href="group__Animation.html#gaf7318ddaeea193a759de6349554ec3a4">VertexBoneAssignment</a>&gt;::type <a class="el" href="classOgre_1_1SubMesh.html#a8970e5c8b6f9fac51d54845e8417e7b2">Ogre::SubMesh::VertexBoneAssignmentList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Multimap of verex bone assignments (orders by vertex index) </p>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00177">177</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa5e04097716119c5cfed229c8425fc60"></a><!-- doxytag: member="Ogre::SubMesh::SubMesh" ref="aa5e04097716119c5cfed229c8425fc60" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SubMesh.html#aa5e04097716119c5cfed229c8425fc60">Ogre::SubMesh::SubMesh</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad0a51b024271c2042968e9e967dd39e8"></a><!-- doxytag: member="Ogre::SubMesh::~SubMesh" ref="ad0a51b024271c2042968e9e967dd39e8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SubMesh.html#ad0a51b024271c2042968e9e967dd39e8">Ogre::SubMesh::~SubMesh</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="acd127d162c4271ac6b844161e1ea777a"></a><!-- doxytag: member="Ogre::SubMesh::_compileBoneAssignments" ref="acd127d162c4271ac6b844161e1ea777a" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SubMesh.html#acd127d162c4271ac6b844161e1ea777a">Ogre::SubMesh::_compileBoneAssignments</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Must be called once to compile bone assignments into geometry buffer. </p>

</div>
</div>
<a class="anchor" id="a4770787312a616e8735c5d1a864bb1cb"></a><!-- doxytag: member="Ogre::SubMesh::_getRenderOperation" ref="a4770787312a616e8735c5d1a864bb1cb" args="(RenderOperation &amp;rend, ushort lodIndex=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SubMesh.html#a4770787312a616e8735c5d1a864bb1cb">Ogre::SubMesh::_getRenderOperation</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderOperation.html">RenderOperation</a> &amp;&#160;</td>
          <td class="paramname"><em>rend</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td>
          <td class="paramname"><em>lodIndex</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a <a class="el" href="classOgre_1_1RenderOperation.html" title="&#39;New&#39; rendering operation using vertex buffers.">RenderOperation</a> structure required to render this mesh. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">rend</td><td>Reference to a <a class="el" href="classOgre_1_1RenderOperation.html" title="&#39;New&#39; rendering operation using vertex buffers.">RenderOperation</a> structure to populate. </td></tr>
    <tr><td class="paramname">lodIndex</td><td>The index of the LOD to use. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="abdd303710ef1131801f5017ef2eda1f2"></a><!-- doxytag: member="Ogre::SubMesh::addBoneAssignment" ref="abdd303710ef1131801f5017ef2eda1f2" args="(const VertexBoneAssignment &amp;vertBoneAssign)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SubMesh.html#abdd303710ef1131801f5017ef2eda1f2">Ogre::SubMesh::addBoneAssignment</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__Animation.html#gaf7318ddaeea193a759de6349554ec3a4">VertexBoneAssignment</a> &amp;&#160;</td>
          <td class="paramname"><em>vertBoneAssign</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Assigns a vertex to a bone with a given weight, for skeletal animation. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method is only valid after calling setSkeletonName. Since this is a one-off process there exists only 'addBoneAssignment' and 'clearBoneAssignments' methods, no 'editBoneAssignment'. You should not need to modify bone assignments during rendering (only the positions of bones) and OGRE reserves the right to do some internal data reformatting of this information, depending on render system requirements. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This method is for assigning weights to the dedicated geometry of the <a class="el" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>. To assign weights to the shared <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> geometry, see the equivalent methods on <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="abe04d5342331ad434e47ca9b934a7622"></a><!-- doxytag: member="Ogre::SubMesh::addTextureAlias" ref="abe04d5342331ad434e47ca9b934a7622" args="(const String &amp;aliasName, const String &amp;textureName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SubMesh.html#abe04d5342331ad434e47ca9b934a7622">Ogre::SubMesh::addTextureAlias</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>aliasName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>textureName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adds the alias or replaces an existing one and associates the texture name to it. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The submesh uses the texture alias to replace textures used in the material applied to the submesh. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">aliasName</td><td>is the name of the alias. </td></tr>
    <tr><td class="paramname">textureName</td><td>is the name of the texture to be associated with the alias </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2c29dd4601e67d3f6d26d7d74c017995"></a><!-- doxytag: member="Ogre::SubMesh::clearBoneAssignments" ref="a2c29dd4601e67d3f6d26d7d74c017995" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SubMesh.html#a2c29dd4601e67d3f6d26d7d74c017995">Ogre::SubMesh::clearBoneAssignments</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Removes all bone assignments for this mesh. </p>
<dl class="user"><dt><b></b></dt><dd>This method is for assigning weights to the dedicated geometry of the <a class="el" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>. To assign weights to the shared <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> geometry, see the equivalent methods on <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="af32a20ce7dd6ca470ce7e33e5dc7d7d9"></a><!-- doxytag: member="Ogre::SubMesh::generateExtremes" ref="af32a20ce7dd6ca470ce7e33e5dc7d7d9" args="(size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SubMesh.html#af32a20ce7dd6ca470ce7e33e5dc7d7d9">Ogre::SubMesh::generateExtremes</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Generate the submesh extremes (. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1SubMesh.html#a3f918cb8640e541175589089ce096aef" title="A list of extreme points on the submesh (optional).">extremityPoints</a>). </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">count</td><td>Number of extreme points to compute for the submesh. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="abafc1dfc5283643f0b5867392f512e3e"></a><!-- doxytag: member="Ogre::SubMesh::getAliasTextureIterator" ref="abafc1dfc5283643f0b5867392f512e3e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SubMesh.html#a243e656daab531eea35d8b9fb5dc3b11">AliasTextureIterator</a> <a class="el" href="classOgre_1_1SubMesh.html#abafc1dfc5283643f0b5867392f512e3e">Ogre::SubMesh::getAliasTextureIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets an constant iterator to access all texture alias names assigned to this submesh. </p>

</div>
</div>
<a class="anchor" id="ab37844a411ccea1cf06d1c95e10b71e2"></a><!-- doxytag: member="Ogre::SubMesh::getBoneAssignmentIterator" ref="ab37844a411ccea1cf06d1c95e10b71e2" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SubMesh.html#a9c23baff85d3b4f60e37f2a514be1ada">BoneAssignmentIterator</a> <a class="el" href="classOgre_1_1SubMesh.html#ab37844a411ccea1cf06d1c95e10b71e2">Ogre::SubMesh::getBoneAssignmentIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets an iterator for access all bone assignments. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Only valid if this <a class="el" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a> has dedicated geometry. </dd></dl>

</div>
</div>
<a class="anchor" id="a03901f7c72762aa3794af16b88c3e196"></a><!-- doxytag: member="Ogre::SubMesh::getBoneAssignments" ref="a03901f7c72762aa3794af16b88c3e196" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1SubMesh.html#a8970e5c8b6f9fac51d54845e8417e7b2">VertexBoneAssignmentList</a>&amp; <a class="el" href="classOgre_1_1SubMesh.html#a03901f7c72762aa3794af16b88c3e196">Ogre::SubMesh::getBoneAssignments</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets a const reference to the list of bone assignments. </p>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00188">188</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae9cd0e5fef6d82aba5d5c0bcbcfc65a5"></a><!-- doxytag: member="Ogre::SubMesh::getMaterialName" ref="ae9cd0e5fef6d82aba5d5c0bcbcfc65a5" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1SubMesh.html#ae9cd0e5fef6d82aba5d5c0bcbcfc65a5">Ogre::SubMesh::getMaterialName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab80c14813793491559cf24c60f455fd4"></a><!-- doxytag: member="Ogre::SubMesh::getTextureAliasCount" ref="ab80c14813793491559cf24c60f455fd4" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1SubMesh.html#ab80c14813793491559cf24c60f455fd4">Ogre::SubMesh::getTextureAliasCount</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the number of texture aliases assigned to the sub mesh. </p>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00224">224</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a869de8ed370ae9ac77e7e600aa109514"></a><!-- doxytag: member="Ogre::SubMesh::getVertexAnimationIncludesNormals" ref="a869de8ed370ae9ac77e7e600aa109514" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SubMesh.html#a869de8ed370ae9ac77e7e600aa109514">Ogre::SubMesh::getVertexAnimationIncludesNormals</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether animation on dedicated vertex data includes normals. </p>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00243">243</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a116ae10a9b88b55c44c0583589b15b72"></a><!-- doxytag: member="Ogre::SubMesh::getVertexAnimationType" ref="a116ae10a9b88b55c44c0583589b15b72" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Animation.html#ga9046e6e0d12c46c57a9056987e9d158e">VertexAnimationType</a> <a class="el" href="classOgre_1_1SubMesh.html#a116ae10a9b88b55c44c0583589b15b72">Ogre::SubMesh::getVertexAnimationType</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the type of any vertex animation used by dedicated geometry. </p>

</div>
</div>
<a class="anchor" id="a776598acc2a9c0d04d9019cd4137d905"></a><!-- doxytag: member="Ogre::SubMesh::hasTextureAliases" ref="a776598acc2a9c0d04d9019cd4137d905" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SubMesh.html#a776598acc2a9c0d04d9019cd4137d905">Ogre::SubMesh::hasTextureAliases</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>returns true if the sub mesh has texture aliases </p>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00221">221</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2c42d72d5ca9879b2528b7d40a13bf8d"></a><!-- doxytag: member="Ogre::SubMesh::isBuildEdgesEnabled" ref="a2c42d72d5ca9879b2528b7d40a13bf8d" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SubMesh.html#a2c42d72d5ca9879b2528b7d40a13bf8d">Ogre::SubMesh::isBuildEdgesEnabled</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns true(by default) if the submesh should be included in the mesh EdgeList, otherwise returns false. </p>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00254">254</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae4d357805749a3193b821a1ff9bca7d1"></a><!-- doxytag: member="Ogre::SubMesh::isMatInitialised" ref="ae4d357805749a3193b821a1ff9bca7d1" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SubMesh.html#ae4d357805749a3193b821a1ff9bca7d1">Ogre::SubMesh::isMatInitialised</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns true if a material has been assigned to the submesh, otherwise returns false. </p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::SubMesh::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::SubMesh::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::SubMesh::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::SubMesh::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::SubMesh::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::SubMesh::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::SubMesh::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::SubMesh::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::SubMesh::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::SubMesh::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8446f2b030ecd536933c0a39cdb3d61a"></a><!-- doxytag: member="Ogre::SubMesh::removeAllTextureAliases" ref="a8446f2b030ecd536933c0a39cdb3d61a" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SubMesh.html#a8446f2b030ecd536933c0a39cdb3d61a">Ogre::SubMesh::removeAllTextureAliases</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>removes all texture aliases from the sub mesh </p>

</div>
</div>
<a class="anchor" id="a2cf7a582517c07f7330235d3029a2cf8"></a><!-- doxytag: member="Ogre::SubMesh::removeLodLevels" ref="a2cf7a582517c07f7330235d3029a2cf8" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SubMesh.html#a2cf7a582517c07f7330235d3029a2cf8">Ogre::SubMesh::removeLodLevels</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method for removing LOD data. </p>

</div>
</div>
<a class="anchor" id="a9007b549c95c6fb1402818bf55b65b16"></a><!-- doxytag: member="Ogre::SubMesh::removeTextureAlias" ref="a9007b549c95c6fb1402818bf55b65b16" args="(const String &amp;aliasName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SubMesh.html#a9007b549c95c6fb1402818bf55b65b16">Ogre::SubMesh::removeTextureAlias</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>aliasName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a specific texture alias name from the sub mesh. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">aliasName</td><td>is the name of the alias to be removed. If it is not found then it is ignored. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="acc667dc8cf61d4fa25f005fd5cb9082a"></a><!-- doxytag: member="Ogre::SubMesh::setBuildEdgesEnabled" ref="acc667dc8cf61d4fa25f005fd5cb9082a" args="(bool b)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SubMesh.html#acc667dc8cf61d4fa25f005fd5cb9082a">Ogre::SubMesh::setBuildEdgesEnabled</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>b</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8ad6c0cae3c325cd8953ab66bd97e72d"></a><!-- doxytag: member="Ogre::SubMesh::setMaterialName" ref="a8ad6c0cae3c325cd8953ab66bd97e72d" args="(const String &amp;matName, const String &amp;groupName=ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SubMesh.html#a8ad6c0cae3c325cd8953ab66bd97e72d">Ogre::SubMesh::setMaterialName</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>matName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>groupName</em> = <code><a class="el" href="classOgre_1_1ResourceGroupManager.html#a70da3137e703c147b98fbfbbebfbf023">ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the name of the <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> which this <a class="el" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a> will use. </p>

</div>
</div>
<a class="anchor" id="a2107e531c7161b312571d8977f9539e2"></a><!-- doxytag: member="Ogre::SubMesh::updateMaterialUsingTextureAliases" ref="a2107e531c7161b312571d8977f9539e2" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SubMesh.html#a2107e531c7161b312571d8977f9539e2">Ogre::SubMesh::updateMaterialUsingTextureAliases</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The current material used by the submesh is copied into a new material and the submesh's texture aliases are applied if the current texture alias names match those found in the original material. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The submesh's texture aliases must be setup prior to calling this method. If a new material has to be created, the subMesh autogenerates the new name. The new name is the old name + "_" + number. </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>True if texture aliases were applied and a new material was created. </dd></dl>

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="aa41a130f156b145bffb3f4b5172c4c93"></a><!-- doxytag: member="Ogre::SubMesh::Mesh" ref="aa41a130f156b145bffb3f4b5172c4c93" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1Mesh.html">Mesh</a><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00063">63</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a48305c54a01e0c7a3376ea0a077c467f"></a><!-- doxytag: member="Ogre::SubMesh::MeshSerializerImpl" ref="a48305c54a01e0c7a3376ea0a077c467f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1MeshSerializerImpl.html">MeshSerializerImpl</a><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00064">64</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="aef9901d67ded13a151aa3d4fde3a7b17"></a><!-- doxytag: member="Ogre::SubMesh::MeshSerializerImpl_v1_1" ref="aef9901d67ded13a151aa3d4fde3a7b17" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1MeshSerializerImpl__v1__1.html">MeshSerializerImpl_v1_1</a><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00066">66</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae60e96165c5d5495195fa0d49f031372"></a><!-- doxytag: member="Ogre::SubMesh::MeshSerializerImpl_v1_2" ref="ae60e96165c5d5495195fa0d49f031372" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1MeshSerializerImpl__v1__2.html">MeshSerializerImpl_v1_2</a><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00065">65</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ae6b4c1d0724fe6a9a961b73bd646d3cf"></a><!-- doxytag: member="Ogre::SubMesh::blendIndexToBoneIndexMap" ref="ae6b4c1d0724fe6a9a961b73bd646d3cf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SubMesh.html#a5318d83d57e4d1599fecb00506c82996">IndexMap</a> <a class="el" href="classOgre_1_1SubMesh.html#ae6b4c1d0724fe6a9a961b73bd646d3cf">Ogre::SubMesh::blendIndexToBoneIndexMap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00110">110</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3f918cb8640e541175589089ce096aef"></a><!-- doxytag: member="Ogre::SubMesh::extremityPoints" ref="a3f918cb8640e541175589089ce096aef" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&gt;::type <a class="el" href="classOgre_1_1SubMesh.html#a3f918cb8640e541175589089ce096aef">Ogre::SubMesh::extremityPoints</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A list of extreme points on the submesh (optional). </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>These points are some arbitrary points on the mesh that are used by engine to better sort submeshes by depth. This doesn't matter much for non-transparent submeshes, as Z-buffer takes care of invisible surface culling anyway, but is pretty useful for semi-transparent submeshes because the order in which transparent submeshes must be rendered cannot be always correctly deduced from entity position. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>These points are intelligently chosen from the points that make up the submesh, the criteria for choosing them should be that these points somewhat characterize the submesh outline, e.g. they should not be close to each other, and they should be on the outer hull of the submesh. They can be stored in the .mesh file, or generated at runtime (see generateExtremes ()). </dd></dl>
<dl class="user"><dt><b></b></dt><dd>If this array is empty, submesh sorting is done like in older versions - by comparing the positions of the owning entity. </dd></dl>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00134">134</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="aad428fa6595c7fb01ef7543e5d8d6454"></a><!-- doxytag: member="Ogre::SubMesh::indexData" ref="aad428fa6595c7fb01ef7543e5d8d6454" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1IndexData.html">IndexData</a>* <a class="el" href="classOgre_1_1SubMesh.html#aad428fa6595c7fb01ef7543e5d8d6454">Ogre::SubMesh::indexData</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Face index data. </p>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00088">88</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1e190c3084110b7fa74a208f9c1f29f1"></a><!-- doxytag: member="Ogre::SubMesh::mBoneAssignments" ref="a1e190c3084110b7fa74a208f9c1f29f1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SubMesh.html#a8970e5c8b6f9fac51d54845e8417e7b2">VertexBoneAssignmentList</a> <a class="el" href="classOgre_1_1SubMesh.html#a1e190c3084110b7fa74a208f9c1f29f1">Ogre::SubMesh::mBoneAssignments</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00268">268</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a97ac0719e0d2a1cd4f0ed4ec48a72912"></a><!-- doxytag: member="Ogre::SubMesh::mBoneAssignmentsOutOfDate" ref="a97ac0719e0d2a1cd4f0ed4ec48a72912" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SubMesh.html#a97ac0719e0d2a1cd4f0ed4ec48a72912">Ogre::SubMesh::mBoneAssignmentsOutOfDate</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Flag indicating that bone assignments need to be recompiled. </p>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00271">271</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6eeebb3445a88e6cc77e22f41322964e"></a><!-- doxytag: member="Ogre::SubMesh::mBuildEdgesEnabled" ref="a6eeebb3445a88e6cc77e22f41322964e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SubMesh.html#a6eeebb3445a88e6cc77e22f41322964e">Ogre::SubMesh::mBuildEdgesEnabled</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Is Build Edges Enabled. </p>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00280">280</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a821d2587eb2dc9746a2b1a5c0deada32"></a><!-- doxytag: member="Ogre::SubMesh::mLodFaceList" ref="a821d2587eb2dc9746a2b1a5c0deada32" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SubMesh.html#a39b2b1b7c00817f3c7e724ef664fb1a2">LODFaceList</a> <a class="el" href="classOgre_1_1SubMesh.html#a821d2587eb2dc9746a2b1a5c0deada32">Ogre::SubMesh::mLodFaceList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00113">113</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac9cc28e9a11b69a815fa9b3e52cd76f7"></a><!-- doxytag: member="Ogre::SubMesh::mMaterialName" ref="ac9cc28e9a11b69a815fa9b3e52cd76f7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1SubMesh.html#ac9cc28e9a11b69a815fa9b3e52cd76f7">Ogre::SubMesh::mMaterialName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Name of the material this <a class="el" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a> uses. </p>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00260">260</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a25a7ea86e4beaadd868dacb760330e52"></a><!-- doxytag: member="Ogre::SubMesh::mMatInitialised" ref="a25a7ea86e4beaadd868dacb760330e52" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SubMesh.html#a25a7ea86e4beaadd868dacb760330e52">Ogre::SubMesh::mMatInitialised</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Is there a material yet? </p>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00263">263</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab1f26bc16b9c1ea567ffcc4548e6466a"></a><!-- doxytag: member="Ogre::SubMesh::mTextureAliases" ref="ab1f26bc16b9c1ea567ffcc4548e6466a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga20898062bd79359acd1137276d9b0e37">AliasTextureNamePairList</a> <a class="el" href="classOgre_1_1SubMesh.html#ab1f26bc16b9c1ea567ffcc4548e6466a">Ogre::SubMesh::mTextureAliases</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>paired list of texture aliases and texture names </p>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00266">266</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0c6daf9febdc307b03e788c4bdbd786f"></a><!-- doxytag: member="Ogre::SubMesh::mVertexAnimationIncludesNormals" ref="a0c6daf9febdc307b03e788c4bdbd786f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SubMesh.html#a0c6daf9febdc307b03e788c4bdbd786f">Ogre::SubMesh::mVertexAnimationIncludesNormals</a><code> [mutable, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Whether normals are included in vertex animation keyframes. </p>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00277">277</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7b6ef63e9dd8945accbc942307c8fcea"></a><!-- doxytag: member="Ogre::SubMesh::mVertexAnimationType" ref="a7b6ef63e9dd8945accbc942307c8fcea" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Animation.html#ga9046e6e0d12c46c57a9056987e9d158e">VertexAnimationType</a> <a class="el" href="classOgre_1_1SubMesh.html#a7b6ef63e9dd8945accbc942307c8fcea">Ogre::SubMesh::mVertexAnimationType</a><code> [mutable, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Type of vertex animation for dedicated vertex data (populated by <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>) </p>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00274">274</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a10ed3ef8bb24a001bb89dc9e3cd88c31"></a><!-- doxytag: member="Ogre::SubMesh::operationType" ref="a10ed3ef8bb24a001bb89dc9e3cd88c31" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10d">RenderOperation::OperationType</a> <a class="el" href="classOgre_1_1SubMesh.html#a10ed3ef8bb24a001bb89dc9e3cd88c31">Ogre::SubMesh::operationType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The render operation type used to render this submesh. </p>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00076">76</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac2b9fd25eb56625716d9e8915f4e0e7d"></a><!-- doxytag: member="Ogre::SubMesh::parent" ref="ac2b9fd25eb56625716d9e8915f4e0e7d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a>* <a class="el" href="classOgre_1_1SubMesh.html#ac2b9fd25eb56625716d9e8915f4e0e7d">Ogre::SubMesh::parent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reference to parent <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> (not a smart pointer so child does not keep parent alive). </p>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00137">137</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a931e3764e3bf1c3ef7431fc852770fb1"></a><!-- doxytag: member="Ogre::SubMesh::useSharedVertices" ref="a931e3764e3bf1c3ef7431fc852770fb1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SubMesh.html#a931e3764e3bf1c3ef7431fc852770fb1">Ogre::SubMesh::useSharedVertices</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Indicates if this submesh shares vertex data with other meshes or whether it has it's own vertices. </p>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00073">73</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1862a3ec9a3f2ed4ade8af69b41a809d"></a><!-- doxytag: member="Ogre::SubMesh::vertexData" ref="a1862a3ec9a3f2ed4ade8af69b41a809d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexData.html">VertexData</a>* <a class="el" href="classOgre_1_1SubMesh.html#a1862a3ec9a3f2ed4ade8af69b41a809d">Ogre::SubMesh::vertexData</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Dedicated vertex data (only valid if useSharedVertices = false). </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This data is completely owned by this submesh. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>The use of shared or non-shared buffers is determined when model data is converted to the OGRE .mesh format. </dd></dl>

<p>Definition at line <a class="el" href="OgreSubMesh_8h_source.html#l00085">85</a> of file <a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSubMesh_8h_source.html">OgreSubMesh.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:09
</p>
</body>
</html>
